Subject: Re: [PATCH 0/2] Disable forwarding of LRO skbs

From: Ben Hutchings <[email-masked]>
Date: Mon, 12 May 2008 15:48:08 +0100

Herbert Xu wrote:
> On Thu, May 01, 2008 at 01:08:51PM +0100, Ben Hutchings wrote:
> >
> > Depending on the driver, the packets may be received into skbs which are
> > then attached to frag_list, or into page buffers which go in the frags
> > array.  If most packets can be merged by LRO, deferring skb allocation
> > and using the frags array is a performance win.
> 
> But for each packet it's either going to be frag_list or page
> frags, right? So we could still fragment based on frag_list if
> it's present.

Please can you post an implementation of this.  I don't want this bug to
be left unfixed.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.